Skip to main content
POST
/
api
/
projects
/
{projectId}
/
releases
Create a release
curl --request POST \
  --url https://api.example.com/api/projects/{projectId}/releases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "commitId": "<string>",
  "status": "draft",
  "versionType": "patch"
}
'
import requests

url = "https://api.example.com/api/projects/{projectId}/releases"

payload = {
"name": "<string>",
"description": "<string>",
"commitId": "<string>",
"status": "draft",
"versionType": "patch"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
commitId: '<string>',
status: 'draft',
versionType: 'patch'
})
};

fetch('https://api.example.com/api/projects/{projectId}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deletedAt": "<string>",
  "name": "<string>",
  "description": "<string>",
  "version": 123,
  "semanticVersion": "<string>",
  "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "meta": {
    "bucket": "<string>",
    "key": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

Body

application/json
name
string | null

Release name

description
string | null

Release description

commitId
string | null

Commit ID to create the release from (v2 projects only)

status
enum<string>
default:draft

Initial release status

Available options:
draft,
published,
completed
versionType
enum<string>
default:patch

Version increment type for semantic versioning

Available options:
major,
minor,
patch

Response

200 - application/json

Created release information

Created release information

id
string<uuid>
required

Release unique identifier

createdAt
string
required

Release creation timestamp

projectId
string<uuid>
required

Project ID the release belongs to

deletedAt
string | null

Release deletion timestamp

name
string | null

Release name

description
string | null

Release description

version
number | null

Legacy numeric version

semanticVersion
string | null

Semantic version (e.g., 1.0.0)

status
enum<string>

Release status

Available options:
draft,
published,
completed
createdById
string<uuid> | null

ID of the user who created the release

commitId
string<uuid> | null

Associated commit ID

meta
object | null

Release storage metadata